Summary:        A library for handling streaming archive formats
Name:           libarchive
Version:        3.6.1
Release:        3%{?dist}
License:        BSD
URL:            https://www.libarchive.org/
Source0:        https://libarchive.org/downloads/%{name}-%{version}.tar.gz
BuildRequires:  autoconf, automake, bison, gcc, libtool
BuildRequires:  xz-devel, bzip2-devel, zlib-devel, e2fsprogs-devel, libacl-devel, libattr-devel
BuildRequires:  libxml2-devel, libzstd-devel, lz4-devel, openssl-devel, sharutils

%description
Libarchive is is a multi-format archive and compression library

%package -n bsdtar
Summary:        Manipulate tape archives
Requires:       %{name} = %{version}-%{release}

%description -n bsdtar
This package provides standalone bsdtar utility.

%package -n bsdcpio
Summary:        Copy files to and from archives
Requires:       %{name} = %{version}-%{release}

%description -n bsdcpio
This package provides standalone bsdcpio utility.

%package -n bsdcat
Summary:        Expand files to standard output
Requires:       %{name} = %{version}-%{release}

%description -n bsdcat
This package provides standalone bsdcat utility.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for
developers who use libarchive apps.

%prep
%setup -q

%build
autoreconf -ifv
%configure --disable-static LT_SYS_LIBRARY_PATH=%{_libdir}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
rm %{buildroot}%{_mandir}/man5/{tar,cpio,mtree}.5*

%check
%make_build check -j1 || exit 1

%files
%license COPYING
%doc NEWS README.md
%{_libdir}/libarchive.so.13*

%files -n bsdtar
%{_bindir}/bsdtar
%{_mandir}/*/bsdtar*

%files -n bsdcpio
%{_bindir}/bsdcpio
%{_mandir}/*/bsdcpio*

%files -n bsdcat
%{_bindir}/bsdcat
%{_mandir}/*/bsdcat*

%files devel
%{_includedir}/*.h
%{_libdir}/libarchive.so
%{_libdir}/pkgconfig/libarchive.pc
%{_mandir}/*/archive*
%{_mandir}/*/libarchive*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jun 29 2022 cunshunxia <cunshunxia@tencent.com> - 3.6.1-1
- initial build
